regina::HasReturnType< T > Class Template Reference

Internal to ReturnsTraits. More...

`#include <utilities/registryutils.h>`

## Public Types

enum | { value = (sizeof(test<T>(0)) == sizeof(yes)) }

## Detailed Description

### template<typename T>
class regina::HasReturnType< T >

Internal to ReturnsTraits.

This class is used to detect at compile time whether the type `T::ReturnType` exists.

If T::ReturnType exists, the enum constant `HasReturnType<T>::value` will be non-zero (i.e., true). Otherwise `HasReturnType<T>::value` will be zero (i.e., false).

## Member Enumeration Documentation

## anonymous enum

template<typename T >

anonymous enum

Enumerator
value | Evaluates to non-zero (true) or zero (false) according to whether or not the type `T::ReturnType` exists.

The documentation for this class was generated from the following file:

- utilities/registryutils.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).